llvm.org GIT mirror llvm / 0b14259
regenerate git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@24348 91177308-0d34-0410-b5e6-96231b3b80d8 Chris Lattner 14 years ago
2 changed file(s) with 163 addition(s) and 6 deletion(s). Raw diff Collapse all Expand all
2680126801 done
2680226802
2680326803
26804
26805 for ac_header in rw/stdex/hash_map.h rw/stdex/hash_set.h
26804 for ac_header in malloc/malloc.h
2680626805 do
2680726806 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
2680826807 if eval "test \"\${$as_ac_Header+set}\" = set"; then
2695126950
2695226951 done
2695326952
26954 if test "$ENABLE_THREADS" -eq 1 ; then
26955
26956 for ac_header in pthread.h
26953
26954
26955 for ac_header in rw/stdex/hash_map.h rw/stdex/hash_set.h
2695726956 do
2695826957 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
2695926958 if eval "test \"\${$as_ac_Header+set}\" = set"; then
2710227101
2710327102 done
2710427103
27104 if test "$ENABLE_THREADS" -eq 1 ; then
27105
27106 for ac_header in pthread.h
27107 do
27108 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
27109 if eval "test \"\${$as_ac_Header+set}\" = set"; then
27110 echo "$as_me:$LINENO: checking for $ac_header" >&5
27111 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
27112 if eval "test \"\${$as_ac_Header+set}\" = set"; then
27113 echo $ECHO_N "(cached) $ECHO_C" >&6
27114 fi
27115 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
27116 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
27117 else
27118 # Is the header compilable?
27119 echo "$as_me:$LINENO: checking $ac_header usability" >&5
27120 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
27121 cat >conftest.$ac_ext <<_ACEOF
27122 /* confdefs.h. */
27123 _ACEOF
27124 cat confdefs.h >>conftest.$ac_ext
27125 cat >>conftest.$ac_ext <<_ACEOF
27126 /* end confdefs.h. */
27127 $ac_includes_default
27128 #include <$ac_header>
27129 _ACEOF
27130 rm -f conftest.$ac_objext
27131 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
27132 (eval $ac_compile) 2>conftest.er1
27133 ac_status=$?
27134 grep -v '^ *+' conftest.er1 >conftest.err
27135 rm -f conftest.er1
27136 cat conftest.err >&5
27137 echo "$as_me:$LINENO: \$? = $ac_status" >&5
27138 (exit $ac_status); } &&
27139 { ac_try='test -z "$ac_c_werror_flag"
27140 || test ! -s conftest.err'
27141 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
27142 (eval $ac_try) 2>&5
27143 ac_status=$?
27144 echo "$as_me:$LINENO: \$? = $ac_status" >&5
27145 (exit $ac_status); }; } &&
27146 { ac_try='test -s conftest.$ac_objext'
27147 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
27148 (eval $ac_try) 2>&5
27149 ac_status=$?
27150 echo "$as_me:$LINENO: \$? = $ac_status" >&5
27151 (exit $ac_status); }; }; then
27152 ac_header_compiler=yes
27153 else
27154 echo "$as_me: failed program was:" >&5
27155 sed 's/^/| /' conftest.$ac_ext >&5
27156
27157 ac_header_compiler=no
27158 fi
27159 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
27160 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
27161 echo "${ECHO_T}$ac_header_compiler" >&6
27162
27163 # Is the header present?
27164 echo "$as_me:$LINENO: checking $ac_header presence" >&5
27165 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
27166 cat >conftest.$ac_ext <<_ACEOF
27167 /* confdefs.h. */
27168 _ACEOF
27169 cat confdefs.h >>conftest.$ac_ext
27170 cat >>conftest.$ac_ext <<_ACEOF
27171 /* end confdefs.h. */
27172 #include <$ac_header>
27173 _ACEOF
27174 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
27175 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
27176 ac_status=$?
27177 grep -v '^ *+' conftest.er1 >conftest.err
27178 rm -f conftest.er1
27179 cat conftest.err >&5
27180 echo "$as_me:$LINENO: \$? = $ac_status" >&5
27181 (exit $ac_status); } >/dev/null; then
27182 if test -s conftest.err; then
27183 ac_cpp_err=$ac_c_preproc_warn_flag
27184 ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
27185 else
27186 ac_cpp_err=
27187 fi
27188 else
27189 ac_cpp_err=yes
27190 fi
27191 if test -z "$ac_cpp_err"; then
27192 ac_header_preproc=yes
27193 else
27194 echo "$as_me: failed program was:" >&5
27195 sed 's/^/| /' conftest.$ac_ext >&5
27196
27197 ac_header_preproc=no
27198 fi
27199 rm -f conftest.err conftest.$ac_ext
27200 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
27201 echo "${ECHO_T}$ac_header_preproc" >&6
27202
27203 # So? What about this header?
27204 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
27205 yes:no: )
27206 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
27207 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
27208 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
27209 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
27210 ac_header_preproc=yes
27211 ;;
27212 no:yes:* )
27213 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
27214 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
27215 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
27216 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
27217 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
27218 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
27219 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
27220 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
27221 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
27222 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
27223 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
27224 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
27225 (
27226 cat <<\_ASBOX
27227 ## ----------------------------------- ##
27228 ## Report this to llvmbugs@cs.uiuc.edu ##
27229 ## ----------------------------------- ##
27230 _ASBOX
27231 ) |
27232 sed "s/^/$as_me: WARNING: /" >&2
27233 ;;
27234 esac
27235 echo "$as_me:$LINENO: checking for $ac_header" >&5
27236 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
27237 if eval "test \"\${$as_ac_Header+set}\" = set"; then
27238 echo $ECHO_N "(cached) $ECHO_C" >&6
27239 else
27240 eval "$as_ac_Header=\$ac_header_preproc"
27241 fi
27242 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
27243 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
27244
27245 fi
27246 if test `eval echo '${'$as_ac_Header'}'` = yes; then
27247 cat >>confdefs.h <<_ACEOF
27248 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
27249 _ACEOF
27250
27251 fi
27252
27253 done
27254
2710527255 fi
2710627256
2710727257
2789628046
2789728047
2789828048
27899 for ac_func in strtoll strtoq sysconf
28049
28050 for ac_func in strtoll strtoq sysconf mstats
2790028051 do
2790128052 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
2790228053 echo "$as_me:$LINENO: checking for $ac_func" >&5
184184 /* Define to 1 if you have the header file. */
185185 #undef HAVE_MALLOC_H
186186
187 /* Define to 1 if you have the header file. */
188 #undef HAVE_MALLOC_MALLOC_H
189
187190 /* Define to 1 if you have the `memcpy' function. */
188191 #undef HAVE_MEMCPY
189192
211214
212215 /* Define if mmap() can map files into memory */
213216 #undef HAVE_MMAP_FILE
217
218 /* Define to 1 if you have the `mstats' function. */
219 #undef HAVE_MSTATS
214220
215221 /* define if the compiler implements namespaces */
216222 #undef HAVE_NAMESPACES